<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}

		
 $numrec=$_GET["numrec"];


$consulta = "SELECT * FROM entregas_clientes_recibos WHERE numrec='$numrec'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

		$numrec = $fila["numrec"];
        $numfac = $fila["numfac"];

		

	//************************************************ ACTUALIZO EXISTENCIA *********************************


	$sel_lineas = "SELECT codigo,cantentrega FROM entregas_clientes_recibos_lineas WHERE numrec='$numrec'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantentrega = $fila["cantentrega"];
		
	$sel_articulos1="UPDATE entrelineas_2101 SET cantidad=(cantidad+'$cantentrega') WHERE codigo='$codigo' and cdgtipart != 2  AND codfactura= '$numfac'";
	$mysqli->query($sel_articulos1);

	}
	
	//************************************************ ELIMINO  *********************************
	$delete_1 = "DELETE FROM entregas_clientes_recibos WHERE numrec='$numrec' ";
	$mysqli->query($delete_1);

	$delete_2 = "DELETE FROM  entregas_clientes_recibos_lineas WHERE numrec='$numrec' ";
	$mysqli->query($delete_2);

	
	
	
	?>
<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Factura Anulada Exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>

